## org.eclipse.emf.mapping.ecore2xml
Interface XMLMap

All Superinterfaces:
  EObject, Notifier, XMLResource.XMLMap

All Known Implementing Classes:
  XMLMapImpl

    public interface XMLMap

extends EObject, XMLResource.XMLMap

A representation of the model object 'XML Map'.

See Also:
  `Ecore2XMLPackage.getXMLMap()`

Method Summary
`EMap<ENamedElement,XMLInfo>` `getEcoreToXMLInfo()` Returns the value of the 'Ecore To XML Info' map.
`java.lang.String` `getIDAttributeName()` Returns the value of the 'ID Attribute Name' attribute
`EPackage` `getNoNamespacePackage()` Returns the value of the 'No Namespace Package' reference
`void` `setIDAttributeName(java.lang.String value)` Sets the value of the '`ID Attribute Name`' attribute
`void` `setNoNamespacePackage(EPackage value)` Sets the value of the '`No Namespace Package`' reference

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.xmi.XMLResource.XMLMap
`add, getClassifier, getFeature, getFeatures, getInfo`

Method Detail

### getIDAttributeName

    java.lang.String getIDAttributeName()

  Returns the value of the 'ID Attribute Name' attribute.

  If the meaning of the 'ID Attribute Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getIDAttributeName` in interface `XMLResource.XMLMap`
  Returns:
    the value of the 'ID Attribute Name' attribute.
  See Also:
    `setIDAttributeName(String)`, `Ecore2XMLPackage.getXMLMap_IDAttributeName()`

### setIDAttributeName

    void setIDAttributeName(java.lang.String value)

  Sets the value of the '`ID Attribute Name`' attribute.

  Specified by:
    `setIDAttributeName` in interface `XMLResource.XMLMap`
  Parameters:
    `value` - the new value of the 'ID Attribute Name' attribute.
  See Also:
    `getIDAttributeName()`

### getEcoreToXMLInfo

    EMap<ENamedElement,XMLInfo> getEcoreToXMLInfo()

  Returns the value of the 'Ecore To XML Info' map. The key is of type `ENamedElement`, and the value is of type `XMLInfo`,

  If the meaning of the 'Ecore To XML Info' map isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Ecore To XML Info' map.
  See Also:
    `Ecore2XMLPackage.getXMLMap_EcoreToXMLInfo()`

### getNoNamespacePackage

    EPackage getNoNamespacePackage()

  Returns the value of the 'No Namespace Package' reference.

  If the meaning of the 'No Namespace Package' reference isn't clear, there really should be more of a description here...

  Specified by:
    `getNoNamespacePackage` in interface `XMLResource.XMLMap`
  Returns:
    the value of the 'No Namespace Package' reference.
  See Also:
    `setNoNamespacePackage(EPackage)`, `Ecore2XMLPackage.getXMLMap_NoNamespacePackage()`

### setNoNamespacePackage

    void setNoNamespacePackage(EPackage value)

  Sets the value of the '`No Namespace Package`' reference.

  Specified by:
    `setNoNamespacePackage` in interface `XMLResource.XMLMap`
  Parameters:
    `value` - the new value of the 'No Namespace Package' reference.
  See Also:
    `getNoNamespacePackage()`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.